Unverified Commit dc9d4f73 authored by boklm's avatar boklm
Browse files

Add an update-tbb-testsuite script

This script will pull the latest commit on the master branch from the
git repository, using signed commits. It will then check if the bundle
requires an update, and display an error message with an URL to download
the latest version of the bundle if that is the case.
parent d0dc1d7b
#!/bin/bash
#
# Check if a new bundle needs to be downloaded
# Returns 0 if no update to the bundle is required
set -e
bdir="$(readlink -f ${BASH_SOURCE%/*})"
cd "$bdir/.."
if ! [ -f ./bundle/bundle_version.txt ]
then
echo 'Ignoring bundle updates: the file ./bundle/bundle_version.txt is missing.' 1>&2
exit 0
fi
bundle_version=$(cat ./bundle/bundle_version.txt)
if [ a"$bundle_version" = 'a0.1.1' ]
then
exit 0
fi
exit 1
#!/bin/bash
set -e
bdir="$(readlink -f ${BASH_SOURCE%/*})"
"$bdir/tools/pull"
if ! "$bdir/tools/is_new_bundle_needed"
then
echo 'A new bundle containing new dependencies is required.' 1>&2
echo 'Please download a new bundle at the following URL:' 1>&2
last_bundle=$(cat "$bdir/data/last_bundle.txt")
echo "https://people.torproject.org/~boklm/tbb-testssuite/$last_bundle/"
exit 1
fi
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment